local addon = LibStub("AceAddon-3.0"):NewAddon("EonTag", "AceConsole-3.0")
local EontagLDB = LibStub("LibDataBroker-1.1"):NewDataObject("EontagButton", {
	type = "data source",
	text = "EontagButton",
	icon = "Interface\\Icons\\inv_antorus_green",
	OnClick = function(self,bu)
		if bu == "LeftButton" then 
			if EonTag_mainWindow:IsVisible() then
				EonTag_mainWindow:Hide()
			else
				EonTag_mainWindow:Show()
			end
		else
			if bu == "RightButton" then
				ReloadUI();
			end
		end
	end,
	OnTooltipShow = function(tooltip)
		tooltip:AddLine("EonTag");
		tooltip:AddLine("Click-toggles window")
		tooltip:AddLine("RightClick-Reloads ui")
	end,
})
local icon = LibStub("LibDBIcon-1.0")

function addon:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("EontagDB", {
		profile = {
			minimap = {
				hide = false,
			},
		},
	})
	icon:Register("EontagButton", EontagLDB, self.db.profile.minimap)
end
